# !/usr/bin/env python2
# -*- coding: cp1252 -*-
# Apprenez  programmer une IHM en python
# Nathalie CALAS-CADEVILLE


# importation de la bibliotheque tkinter
from Tkinter import *
from timeit import default_timer
# bibliotheque du capteur DHT11
#import Adafruit_DHT


# Definition des fonctions


def departChrono() :
    global start
    start= default_timer()
    chrono()
    
def chrono():
    now=default_timer()-start
    minutes,seconds =divmod(now,60)
    hours, minutes=divmod(minutes,60)
    str_time="%d:%02d:%02d" % (hours, minutes, seconds)
    text_clock=Label(monCadre, text=str_time, bg="white")
    text_clock.grid(row=2,column=0,columnspan=3, sticky='w')
    monIHM.after(1000,chrono)

def tempA():
    # sensor = type de capteur 
    sensor=11
    # pin est le numero de GPIO
    pin=23
    # lecture du capteur de temperature et humidite DHT11
    #humidity,tempamb=Adafruit_DHT.read_retry(sensor,pin)
    Tamb=20
    # Placer du texte dans le cadre de l'IHM
    tempAmb=Label(monCadre, text=Tamb, bg="green")
    tempAmb.grid(row=4,column=0,columnspan=3, sticky='w')

def tempZ():
    # sensor = type de capteur 
    sensor=11
    # pin est le numero de GPIO
    pin=23
    # lecture du capteur de temperature et humidite DHT11
    #humidity,tempamb=Adafruit_DHT.read_retry(sensor,pin)
    TZ=25
    # Placer du texte dans le cadre de l'IHM
    tempZ=Label(monCadre, text=TZ, bg="white")
       
    tempZ.grid(row=6,column=0,columnspan=3, sticky='w')    
        
        
    
#Cration d'une fenetre graphique nomme monIHM
monIHM=Tk()
monIHM.geometry('800x320')
# Titre de la fenetre
monIHM.title("PROJET IT 2020")



#Dfinition des dimensions du cadre de la fenetre hauteur=500 largeur=400
monCadre=Frame(monIHM,height=300, width=800)
monCadre.pack_propagate(0)
# bordures padx et pady
monCadre.pack(padx=10, pady=10)

# Cration d'un Canvas. Ce widget permet de faire du dessin
canv=Canvas(monCadre, height=300, width =600, bg="white")
# fixer le canvas  la position souhaite
canv.grid(row=1,column=0, rowspan=7, columnspan=3)



# Placer du texte dans le cadre de l'IHM
monTexte=Label(monCadre, text="Voici un tutoriel pour apprendre  programmer une IHM en Python")
monTexte.grid(row=0,column=0)

fichier=PhotoImage(file="drone.gif")

imageDrone=canv.create_image(450,100,image= fichier)
canv.tag_raise(imageDrone)

# Cration du bouton de lancement du chronomtre
boutonChrono=Button(monCadre, text="DpartChrono", relief=RIDGE, cursor="clock",command=departChrono)
boutonChrono.grid(row=1,column=0,sticky=W)

# Cration du bouton de mesure de temprature
boutonTemperature=Button(monCadre, text="Mesure de temprature", relief=RIDGE, cursor="clock",command=tempA)
boutonTemperature.grid(row=3,column=0,sticky=W)

# Cration du bouton de mesure de temprature
boutonTempZone=Button(monCadre, text="Mesure de temprature zone pollue", relief=RIDGE, cursor="clock",command=tempZ)
boutonTempZone.grid(row=5,column=0, sticky=W)

# Cration du bouton permettant de quitter l'application
boutonQuitter=Button(monCadre, bg="grey", text="Quitter", cursor="pirate", command=monIHM.destroy)
boutonQuitter.grid(row=2,column=3)

# Dmarrage de l'IHM
# mainloop est la boucle principale qui permet  monIHM de continuer  fonctionner et d'tre mise  jour sans sortir du programme
monIHM.mainloop()


